Wii is asking for update, even if system menu is 4.3?

Discussion in 'Wii - Hacking' started by gridatttack, Dec 3, 2012.

  1. gridatttack
    OP

    Member gridatttack GBAtemp Fan

    Joined:
    Dec 7, 2009
    Messages:
    460
    Country:
    El Salvador
    So, I installed the cIOS (249 2dx8 base 56 and 250 2dx8 base57) via sciifii, and also installed DIOS MIOS.

    Before installing the cIOS, they worked fine.

    The problem is I cant play new games, because the shop channel/new games ask for an update, even if I am on the latest system menu. (4.3U) I played SMG2 before without asking for updates, but now it does asks for an update.

    Any ideas of what might be causing this problem, or the installing of this cIOS was the problem of it?
    If so, any recommendations of what to do?
     
  2. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    becuase the shop v21 and ios62 need to be installed
     
    icegod likes this.
  3. gridatttack
    OP

    Member gridatttack GBAtemp Fan

    Joined:
    Dec 7, 2009
    Messages:
    460
    Country:
    El Salvador
    Thanks for the fast answer^^
    That explains it...still I wonder why the disk asked for an update.
    Anyway, Im kinda new to wii hacking, so how can I install the shop v21 and ios62 without official updates that might affect homebrew?
     
  4. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    use ModMii
    you can find the .wads on there, just download and install with your Wad manager

    disc asking for update?
    you mean an official game?
    did you install PriiLoader? did you turn on Block Disc updates?
     
  5. raulpica

    Supervisor raulpica With your drill, thrust to the sky!

    Joined:
    Oct 23, 2007
    Messages:
    10,663
    Location:
    _____________ PowerLevel: 9001
    Country:
    Italy
    IIRC some games asked for an update even when on the same System Menu (4.3) they required because they still wanted to install some IOSes or some files (Super Paper Mario US comes to mind) - it is most of the times completely harmless to run that kind of update.

    The only kind of risk usually came from updating with a game from another region - that was a risk as it installed the wrong kind of System Menu (U instead of E, and so on) on your system.
     
  6. Taleweaver

    Member Taleweaver Storywriter

    Joined:
    Dec 23, 2009
    Messages:
    5,121
    Location:
    Belgium
    Country:
    Belgium
    Sorry...I have to disagree on this one. The shop and IOS are released pretty much after any wii game ever (well...at least any AAA game). While it is something future wii games could whine about, this isn't the real issue.

    (@gridattack) In this case, I'd say it is because of the version number of "IOS249". Would you mind posting a syscheck result here? :)

    Here's the thing: when you insert a game or connect your wii to the internet, it will do a check of the IOS'es on your wii*. If any version on your wii is lower than the one on the disc (or from the online database), it will prompt you for a firmware backup.

    Nintendo counters** people using cIOS 249 by having an official IOS there. It doesn't contain any code (this is called a 'stub'), but it DOES have a high version number (v65280). So on this check, it simply compares the version number of your cIOS with that number. So if you have a cIOS with a version below v65280, it will claim that you need an update. Even though this isn't true AT ALL.


    The solution? Modmii. I'm pretty sure it can download the exact same cIOS sciifii gave you, except that modmii can give it a high version number to avoid this sort of prompting.
    Oh, and modmii can also install that shop version and IOS62. Could be convenient if you want to transfer things to a wiiU, but no game requires it.







    *you can disable these checks by installing priiloader and enable these hacks. I suggest you do this. :)
    **or rather: attempts to counter, as it's pretty basic
     
  7. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    if you do not have the IOS62 & Shop v21, even on 4.3 and select the Wii Update it will say "a system update is available"
    and will install them both
     
  8. the_randomizer

    Member the_randomizer The Temp's official fox whisperer

    Joined:
    Apr 29, 2011
    Messages:
    17,332
    Location:
    Unknown
    Country:
    United States
    I take it these updates break Wii homebrew (if someone accidentally updates via the channel)?
     
  9. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    i believe someone tested it and i think they said there stuff was fine
    when you perform a WiiU system transfer tho it messes it up and you will need a NAND restore
     
  10. Taleweaver

    Member Taleweaver Storywriter

    Joined:
    Dec 23, 2009
    Messages:
    5,121
    Location:
    Belgium
    Country:
    Belgium
    In that case, yes (version <whatever> of IOS62 is still better than the v0 that is on most wii's). I was talking about disc updates.

    While this was probably true, it's not the sort of answer you can give in general.

    -the 4.3 update still searches and removes the early versions of the homebrew channel. You're okay on the latest version (1.1.0, IIRC).
    -if whatever is in your IOS249 slot has a higher version number than the update carries, it will be skipped. If it still says "v20" or something, it'll be overwritten by the stub.
    -I may be wrong, but I think it'll overwrite the system menu no matter what. Which means that priiloader always be removed (if it was installed).
     
  11. ScreamingBeast

    Newcomer ScreamingBeast Member

    Joined:
    Dec 3, 2012
    Messages:
    40
    Country:
    Canada
    I'm also quite confused about that update the Shop Channel said is obligatory, all I know is that it appeared at the same time as the Youtube Channel/App (pretty sure) and that I can't access the channel anymore if I don't install it.

    Before I go relearn how exactly ModMii works (been like 2 years since I used it) has anyone updated that thing (iOS?) just from the Wii? Is it safe from a "I have a lot of custom iOS installed" standpoint?
     
  12. CheatFreak47

    Member CheatFreak47 Complex Donut

    Joined:
    Oct 11, 2011
    Messages:
    1,189
    Location:
    Michigan, USA
    Country:
    United States
    you could just disable the disk updates with priiloader.
    just update the shop channel with dopmii or dopshop.
     
  13. gridatttack
    OP

    Member gridatttack GBAtemp Fan

    Joined:
    Dec 7, 2009
    Messages:
    460
    Country:
    El Salvador
    Ok thanks. I will try to install shop v21 and ios62 to see if it pesters me again.

    And yes, an official game disc (SMG2 in this case) asked me for an update, and no, I dont have priiloader installed.



    I just ran syscheck on IOS249 and it says:
    IOS249(56) (rev21008, Info: d2x-v8final)


    Also, should I really install priiloader?
    Im just not sure at all if to install it or not :wacko:
     
  14. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    Prii loader will allow you to make backups
    so if you ever brick your console or mess up installing wads you can just restore it easy peasy
     
  15. gridatttack
    OP

    Member gridatttack GBAtemp Fan

    Joined:
    Dec 7, 2009
    Messages:
    460
    Country:
    El Salvador
    Well I have bootmii as boot2. Already made a NAND backup, so it would be kinda pointless?

    Ive yet still to read what are the features of priiloader thought...
     
  16. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    wait lol i was thinking of bootmii instead on Priiloader LOL

    Priiloader lets you mod the system startup
    block disc updates
    auto press A when system boots
    region free the console
     
  17. gridatttack
    OP

    Member gridatttack GBAtemp Fan

    Joined:
    Dec 7, 2009
    Messages:
    460
    Country:
    El Salvador
    I have to ask...

    To install the Shopv21 channel, do I need to uninstall the previous shop channel, or installing the new version will overwrite the old one?

    Im not sure how does it works at all...
     
  18. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    you should NEVER EVER uninstall wads
    game ones are fine but system stuff you should set yourself a rule never to do
     

Share This Page